# Create an exchange rate quote

Creates a short-lived (60 second) exchange-rate quote between two currencies. For `crypto` quotes, `from` must be a crypto currency the store accepts and `to` must be a supported settlement currency.

Endpoint: POST /stores/exchange_rates
Version: 1.1.0
Security: ApiKey

## Request fields (application/vnd.api+json):

  - `data` (object)

  - `data.type` (string)
    Enum: "exchange_rates"

  - `data.attributes` (object)

  - `data.attributes.type` (string)
    The kind of quote to create.
    Enum: "crypto", "fiat"

  - `data.attributes.from` (string, required)
    The source currency code.
    Example: BTC

  - `data.attributes.to` (string, required)
    The target currency code.
    Example: EUR

## Response 201 fields (application/vnd.api+json):

  - `data` (object)
    A short-lived exchange-rate quote.

  - `data.type` (string)
    The type of resource. Always 'exchange_rates'.
    Enum: "exchange_rates"

  - `data.id` (string)
    The unique identifier (UUID) of the quote.
    Example: c8d65cc2-0c82-429a-95ea-3f65011fc2cc

  - `data.attributes` (object)

  - `data.attributes.from` (string)
    The source currency code.
    Example: BTC

  - `data.attributes.to` (string)
    The target currency code.
    Example: EUR

  - `data.attributes.rate` (string)
    The quoted exchange rate.
    Example: 57000.00

  - `data.attributes.expires_at` (string)
    When the quote expires (60 seconds after creation).

## Response 401 fields (application/vnd.api+json):

  - `errors` (array)
    A list of errors.

  - `errors.detail` (string)
    A human-readable explanation of the error.
    Example: Explanation of the problem.

